/* config.h.  Generated automatically by configure.  */
/* config.h.in.  Generated automatically from configure.in by autoheader.  */
/*	acconfig.h
 *
 *	$Id: acconfig.h,v 1.1 2001/04/28 13:13:08 short Exp $
 */

#ifndef TAC_PLUS_CONFIG_H
#define TAC_PLUS_CONFIG_H 1


/* Define if on AIX 3.
   System headers sometimes define this.
   We just want to avoid a redefinition error message.  */
#ifndef _ALL_SOURCE
/* #undef _ALL_SOURCE */
#endif

/* Define to empty if the keyword does not work.  */
/* #undef const */

/* Define if you don't have vprintf but do have _doprnt.  */
/* #undef HAVE_DOPRNT */

/* Define if you have the vprintf function.  */
#define HAVE_VPRINTF 1

/* Define if you have the wait3 system call.  */
#define HAVE_WAIT3 1

/* Define as the return type of signal handlers (int or void).  */
#define RETSIGTYPE void

/* Define if the `setpgrp' function takes no argument.  */
#define SETPGRP_VOID 1

/* Define to `unsigned' if <sys/types.h> doesn't define.  */
/* #undef size_t */

/* Define if you have the ANSI C header files.  */
#define STDC_HEADERS 1

/* Define if you can safely include both <sys/time.h> and <time.h>.  */
#define TIME_WITH_SYS_TIME 1

/* --maintainer-mode
 * Sets "/etc/tacacs/tac_plus.cfg" as default config file
 */
/* #undef MAINTAINER_MODE */

/* Missing socklen_t in <sys/socket.h>
 * We don't use 'typedef' to not to yet require <stddef.h> included here.
 */
/* #undef socklen_t */

/* Define this if you have shadow passwords in /etc/passwd and
 * /etc/shadow. Note that you usually need to be root to read
 * /etc/shadow */
#define SHADOW_PASSWORDS 1

/* Check for some fields in <pwd.h>/struct passwd and <utmp.h>/struct utmp
 */
/* #undef HAVE_PASSWD_PW_AGE */
/* #undef HAVE_PASSWD_PW_COMMENT */
/* #undef HAVE_UTMP_UT_HOST */

/* All OSes detected by configure.in:
 */
#define LINUX 1
#define GLIBC 1
/* #undef SOLARIS */
/* #undef FREEBSD */
/* #undef HPUX */
/* #undef AIX */
/* #undef MIPS */

/* --with-pam */
/* #undef USE_PAM */
/* --with-ldap */
/* #undef USE_LDAP */
/* --with-db */
#define USE_DB 1
/* --with-db */
#define DB_NULL 1
/* --with-mysql */
#define DB_MYSQL 1
/* --with-pgsql */
/* #undef DB_PGSQL */
/* --enable-maxsess */
/* #undef MAXSESS */
/* --with-libwrap */
/* #undef TCPWRAPPER */
/* --with-skey */
/* #undef SKEY */
/* --with-mschap[=des] */
/* #undef MSCHAP */
/* #undef MSCHAP_DES */
/* --with-tac[ug]id */
/* #undef TACPLUS_USERID */
/* #undef TACPLUS_GROUPID */
/* --with-tacplus_pid */
/* #undef TACPLUS_PIDFILE */
/* --with-included-regex */
/* #undef WITH_INCLUDED_REGEX */
/* --enable-finger */
/* #undef ENABLE_FINGER */

/* The number of bytes in a unsigned int.  */
#define SIZEOF_UNSIGNED_INT 4

/* The number of bytes in a unsigned long.  */
#define SIZEOF_UNSIGNED_LONG 4

/* The number of bytes in a unsigned short.  */
#define SIZEOF_UNSIGNED_SHORT 2

/* Define if you have the regcomp function.  */
#define HAVE_REGCOMP 1

/* Define if you have the select function.  */
#define HAVE_SELECT 1

/* Define if you have the siginterrupt function.  */
#define HAVE_SIGINTERRUPT 1

/* Define if you have the socket function.  */
#define HAVE_SOCKET 1

/* Define if you have the strcspn function.  */
#define HAVE_STRCSPN 1

/* Define if you have the strdup function.  */
#define HAVE_STRDUP 1

/* Define if you have the strtol function.  */
#define HAVE_STRTOL 1

/* Define if you have the <fcntl.h> header file.  */
#define HAVE_FCNTL_H 1

/* Define if you have the <malloc.h> header file.  */
#define HAVE_MALLOC_H 1

/* Define if you have the <regex.h> header file.  */
#define HAVE_REGEX_H 1

/* Define if you have the <shadow.h> header file.  */
#define HAVE_SHADOW_H 1

/* Define if you have the <strings.h> header file.  */
#define HAVE_STRINGS_H 1

/* Define if you have the <sys/file.h> header file.  */
#define HAVE_SYS_FILE_H 1

/* Define if you have the <sys/ioctl.h> header file.  */
#define HAVE_SYS_IOCTL_H 1

/* Define if you have the <sys/param.h> header file.  */
#define HAVE_SYS_PARAM_H 1

/* Define if you have the <sys/syslog.h> header file.  */
#define HAVE_SYS_SYSLOG_H 1

/* Define if you have the <sys/time.h> header file.  */
#define HAVE_SYS_TIME_H 1

/* Define if you have the <syslog.h> header file.  */
#define HAVE_SYSLOG_H 1

/* Define if you have the <unistd.h> header file.  */
#define HAVE_UNISTD_H 1

/* Define if you have the c library (-lc).  */
#define HAVE_LIBC 1

/* Define if you have the efence library (-lefence).  */
/* #undef HAVE_LIBEFENCE */

/* Name of package */
#define PACKAGE "tac_plus"

/* Version number of package */
#define VERSION "4.4rc2-3"


/* Keep in sync with configure.in */
#define _XOPEN_SOURCE 1			/* for unistd.h/crypt() */
#define _XOPEN_SOURCE_EXTENDED 1	/* for pwd.h/{set,end}pwent(), sys/wait.h/wait3() */
#define _BSD_SOURCE 1			/* for u_{char,short,int} & string.h/bcopy() */
#define _OSF_SOURCE 1			/* for u_{char,short,int} (on Alpha OSF1) */
#define __EXTENSIONS__ 1		/* for u_{char,short,int} (on Sparc Solaris) */

#if SIZEOF_UNSIGNED_SHORT == 4
typedef unsigned short tac_uint32;
#else
#if SIZEOF_UNSIGNED_INT == 4
typedef unsigned int tac_uint32;
#else
#if SIZEOF_UNSIGNED_LONG == 4
typedef unsigned long tac_uint32;
#else
#error "Unable to find 32-bit unsigned int for TAC_UINT32 type"
#endif /* SIZEOF_UNSIGNED_LONG */
#endif /* SIZEOF_UNSIGNED_INT */
#endif /* SIZEOF_UNSIGNED_SHORT */


#endif	/* TAC_PLUS_CONFIG_H */
