use tacacs;

ALTER TABLE attribute DROP PRIMARY KEY,
		      ADD disp_len INT(1) DEFAULT 0 AFTER auth,
		      ADD encrypt INT(1) DEFAULT 0 AFTER auth,
		      ADD has_tag INT(1) DEFAULT 0 AFTER auth,
		      ADD PRIMARY KEY (id, vid, auth);

ALTER TABLE host DROP INDEX net (network), DROP INDEX sub (submask),
		 ADD INDEX net (network, submask);

ALTER TABLE user DROP PRIMARY KEY, DROP profile,
		 ALTER auth SET DEFAULT 1,
		 ADD id REAL NOT NULL PRIMARY KEY AUTO_INCREMENT FIRST,
		 ADD groupid REAL NOT NULL DEFAULT 65534 AFTER gid,
		 ADD shell VARCHAR(20), ADD homedir VARCHAR(50), 
		 ADD UNIQUE uid(uid);

ALTER TABLE node DROP PRIMARY KEY,
		 ADD id REAL NOT NULL FIRST,
		 ADD INDEX id (id), ADD INDEX uid (uid);

DROP TABLE profile;

UPDATE acl set value1=0 WHERE type=2;

#ONLY WORKS IN 4.0 and above
UPDATE node, user SET node.id = user.id WHERE node.uid=user.uid;
